com.sun.jna.platform.win32

## Class Winsvc.SERVICE_STATUS_PROCESS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winsvc.SERVICE_STATUS_PROCESS

- Enclosing interface:
    Winsvc

      public static class Winsvc.SERVICE_STATUS_PROCESS
      extends Structure

  Contains process status information for a service. The ControlServiceEx, EnumServicesStatusEx, NotifyServiceStatusChange, and QueryServiceStatusEx functions use this structure.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwCheckPoint` dwCheckPoint - The check-point value the service increments periodically to report its progress during a lengthy start, stop, pause, or continue operation.

    `int`

    `dwControlsAccepted`
    dwControlsAccepted - The control codes the service accepts and processes in its handler function: SERVICE_ACCEPT_STOP, SERVICE_ACCEPT_PAUSE_CONTINUE, SERVICE_ACCEPT_SHUTDOWN, SERVICE_ACCEPT_PARAMCHANGE, SERVICE_ACCEPT_NETBINDCHANGE, SERVICE_ACCEPT_HARDWAREPROFILECHANGE, SERVICE_ACCEPT_POWEREVENT, SERVICE_ACCEPT_SESSIONCHANGE, SERVICE_ACCEPT_PRESHUTDOWN, SERVICE_ACCEPT_TIMECHANGE, SERVICE_ACCEPT_TRIGGEREVENT

    `int` | `dwCurrentState` dwCurrentState - The current state of the service.
    `int` | `dwProcessId` dwProcessId - The process identifier of the service.
    `int` | `dwServiceFlags` This member can be one of the following values: 0, or SERVICE_RUNS_IN_SYSTEM_PROCESS
    `int` | `dwServiceSpecificExitCode` dwServiceSpecificExitCode - A service-specific error code that the service returns when an error occurs while the service is starting or stopping.
    `int` | `dwServiceType` dwServiceType - the type of service.
    `int` | `dwWaitHint` dwWaitHint - The estimated time required for a pending start, stop, pause, or continue operation, in milliseconds.
    `int` | `dwWin32ExitCode` dwWin32ExitCode - The error code the service uses to report an error that occurs when it is starting or stopping.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Winsvc.SERVICE_STATUS_PROCESS()`
    `Winsvc.SERVICE_STATUS_PROCESS(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwServiceType

          public int dwServiceType

      dwServiceType - the type of service. This member can be one of the following values: SERVICE_KERNEL_DRIVER, SERVICE_FILE_SYSTEM_DRIVER, SERVICE_WIN32_OWN_PROCESS, SERVICE_WIN32_SHARE_PROCESS, If the service type is either SERVICE_WIN32_OWN_PROCESS or SERVICE_WIN32_SHARE_PROCESS, and the service is running in the context of the LocalSystem account, the following type may also be specified: SERVICE_INTERACTIVE_PROCESS These values can be found in WinNT.h

    - #### dwCurrentState

          public int dwCurrentState

      dwCurrentState - The current state of the service. This member can be one of the following values: SERVICE_STOPPED, SERVICE_START_PENDING, SERVICE_STOP_PENDING, SERVICE_RUNNING, SERVICE_CONTINUE_PENDING, SERVICE_PAUSE_PENDING, SERVICE_PAUSED

    - #### dwControlsAccepted

          public int dwControlsAccepted

      dwControlsAccepted - The control codes the service accepts and processes in its handler function: SERVICE_ACCEPT_STOP, SERVICE_ACCEPT_PAUSE_CONTINUE, SERVICE_ACCEPT_SHUTDOWN, SERVICE_ACCEPT_PARAMCHANGE, SERVICE_ACCEPT_NETBINDCHANGE, SERVICE_ACCEPT_HARDWAREPROFILECHANGE, SERVICE_ACCEPT_POWEREVENT, SERVICE_ACCEPT_SESSIONCHANGE, SERVICE_ACCEPT_PRESHUTDOWN, SERVICE_ACCEPT_TIMECHANGE, SERVICE_ACCEPT_TRIGGEREVENT

    - #### dwWin32ExitCode

          public int dwWin32ExitCode

      dwWin32ExitCode - The error code the service uses to report an error that occurs when it is starting or stopping. To return an error code specific to the service, the service must set this value to ERROR_SERVICE_SPECIFIC_ERROR to indicate that the dwServiceSpecificExitCode member contains the error code. The service should set this value to NO_ERROR when it is running and on normal termination.

    - #### dwServiceSpecificExitCode

          public int dwServiceSpecificExitCode

      dwServiceSpecificExitCode - A service-specific error code that the service returns when an error occurs while the service is starting or stopping. This value is ignored unless the dwWin32ExitCode member is set to ERROR_SERVICE_SPECIFIC_ERROR.

    - #### dwCheckPoint

          public int dwCheckPoint

      dwCheckPoint - The check-point value the service increments periodically to report its progress during a lengthy start, stop, pause, or continue operation.

    - #### dwWaitHint

          public int dwWaitHint

      dwWaitHint - The estimated time required for a pending start, stop, pause, or continue operation, in milliseconds.

    - #### dwProcessId

          public int dwProcessId

      dwProcessId - The process identifier of the service.

    - #### dwServiceFlags

          public int dwServiceFlags

      This member can be one of the following values: 0, or SERVICE_RUNS_IN_SYSTEM_PROCESS

  - ### Constructor Detail

    - #### Winsvc.SERVICE_STATUS_PROCESS

          public Winsvc.SERVICE_STATUS_PROCESS()

    - #### Winsvc.SERVICE_STATUS_PROCESS

          public Winsvc.SERVICE_STATUS_PROCESS(int size)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.